<?php
  /**
   * phpaga
   *
   * add product
   *
   * Add a product
   *
   * @author Florian Lanthaler <florian@phpaga.net>
   * @version $Id: add_product.php 843 2007-08-30 17:16:32Z florian $
   *
   * Copyright (c) 2002, Florian Lanthaler <florian@phpaga.net>
   *
   * All rights reserved.
   *
   * Redistribution and use in source and binary forms, with or without
   * modification, are permitted provided that the following conditions are
   * met:
   *
   *    * Redistributions of source code must retain the above copyright
   *      notice, this list of conditions and the following disclaimer.
   *
   *    * Redistributions in binary form must reproduce the above copyright
   *      notice, this list of conditions and the following disclaimer in
   *      the documentation and/or other materials provided with the
   *      distribution.
   *
   *    * Neither the name of Florian Lanthaler nor the names of his
   *      contributors may be used to endorse or promote products derived
   *      from this software without specific prior written permission.
   *
   * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
   * IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
   * TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
   * PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER
   * OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
   * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
   * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
   * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
   * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
   * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
   * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
   */

include_once('./config.php');
phpaga_user_pageperm(PHPAGA_PERM_MANAGE_SYSSETTINGS);

$status = '';
$new_prod_id = '';

if ($_SERVER['REQUEST_METHOD'] == 'POST') {

    $prodinfo['prod_name'] = $_POST['prod_name'];
    $prodinfo['prod_code'] = $_POST['prod_code'];
    $prodinfo['prod_price'] = $_POST['prod_price'];
    $prodinfo['prod_consumption'] = $_POST['prod_consumption'];
    $prodinfo['prod_stock'] = $_POST['prod_stock'];
    $prodinfo['prcat_id'] = $_POST['prcat_id'];

    $result = phpaga_products_validdata($prodinfo);

    if (PhPagaError::isError($result))
        $status = $result->getFormattedMessage();
    else {

        $new_prod_id = phpaga_products_add($prodinfo);

        if (PhPagaError::isError($new_prod_id))
            $status = $new_prod_id->getFormattedMessage();
        else {
            header('Location: product.php?id='.$new_prod_id);
            exit;
        }
    }

} else {

    $prodinfo['prod_name'] = '';
    $prodinfo['prod_code'] = '';
    $prodinfo['prod_price'] = '';
    $prodinfo['prod_consumption'] = '';
    $prodinfo['prod_stoc'] = '';
    $prodinfo['prcat_id'] = '';

}

phpaga_header(array('menuitem' => 'core'));

$select_prcat = phpaga_products_getProdcats(true);
phpaga_arrayAddOption($select_prcat, PHPAGA_OPTION_SELECT);

$add_product_tpl = new psmarty;

$add_product_tpl->assign('prodinfo', $prodinfo);
$add_product_tpl->assign('select_prcat', $select_prcat);
$add_product_tpl->assign('STATUSMSG', $status);
$add_product_tpl->assign('FORM_ACTION', basename($_SERVER['PHP_SELF']));

$add_product_tpl->display('edit_product.tpl.html');

phpaga_footer();

?>